Skip to main content
GET
/
api
/
Contact
/
{contactId}
Get a Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Contact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "isCurrentUserFollowing": "<boolean>",
  "id": "<integer>",
  "contactType": "<string>",
  "isPrivate": "<boolean>",
  "name": "<string>",
  "informalName": "<string>",
  "description": "<string>",
  "website": "<string>",
  "maritalStatus": "<string>",
  "anniversaryMonth": "<integer>",
  "anniversaryDay": "<integer>",
  "anniversaryYear": "<integer>",
  "mergedIntoContactId": "<integer>",
  "address": {
    "id": "<integer>",
    "label": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal": "<string>",
    "country": "<string>",
    "isPrimary": "<boolean>",
    "canBePrimary": "<boolean>",
    "startMonth": "<integer>",
    "startDay": "<integer>",
    "endMonth": "<integer>",
    "endDay": "<integer>"
  },
  "giftAskAmount": "<string>",
  "giftAskType": "<string>",
  "lifeToDateGiving": "<string>",
  "yearToDateGiving": "<string>",
  "lastGiftAmount": "<string>",
  "lastGiftDate": "<string>",
  "contactIndividuals": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "prefix": "<string>",
      "firstName": "<string>",
      "middleName": "<string>",
      "lastName": "<string>",
      "suffix": "<string>",
      "gender": "<string>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>",
      "isSecondary": "<boolean>",
      "canBeSecondary": "<boolean>",
      "birthMonth": "<integer>",
      "birthDay": "<integer>",
      "birthYear": "<integer>",
      "birthDate": "<string>",
      "approximateAge": "<integer>",
      "isDeceased": "<boolean>",
      "passion": "<string>",
      "avatarUrl": "<string>",
      "contactMethods": [
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        },
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        }
      ],
      "createDateTimeUtc": "<dateTime>",
      "modifiedDateTimeUtc": "<dateTime>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "prefix": "<string>",
      "firstName": "<string>",
      "middleName": "<string>",
      "lastName": "<string>",
      "suffix": "<string>",
      "gender": "<string>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>",
      "isSecondary": "<boolean>",
      "canBeSecondary": "<boolean>",
      "birthMonth": "<integer>",
      "birthDay": "<integer>",
      "birthYear": "<integer>",
      "birthDate": "<string>",
      "approximateAge": "<integer>",
      "isDeceased": "<boolean>",
      "passion": "<string>",
      "avatarUrl": "<string>",
      "contactMethods": [
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        },
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        }
      ],
      "createDateTimeUtc": "<dateTime>",
      "modifiedDateTimeUtc": "<dateTime>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "contactGiftsUrl": "<string>",
  "contactPassthroughGiftsUrl": "<string>",
  "contactPlannedGiftsUrl": "<string>",
  "contactRecurringGiftsUrl": "<string>",
  "contactImportantNotesUrl": "<string>",
  "contactNotesUrl": "<string>",
  "contactTagsUrl": "<string>",
  "contactRelationshipsUrl": "<string>",
  "primaryAvatarUrl": "<string>",
  "contactReferences": [
    {
      "source": "<string>",
      "id": "<string>"
    },
    {
      "source": "<string>",
      "id": "<string>"
    }
  ],
  "originSegmentId": "<integer>",
  "originSegment": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "tags": [
    "<string>",
    "<string>"
  ],
  "organizationGroups": [
    "<string>",
    "<string>"
  ],
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact identifier.

Response

OK

isCurrentUserFollowing
string
id
string
contactType
string
isPrivate
string
name
string
informalName
string
description
string
website
string
maritalStatus
string
anniversaryMonth
string
anniversaryDay
string
anniversaryYear
string
mergedIntoContactId
string
address
object
giftAskAmount
string
giftAskType
string
lifeToDateGiving
string
yearToDateGiving
string
lastGiftAmount
string
lastGiftDate
string
contactIndividuals
object[]
contactGiftsUrl
string
contactPassthroughGiftsUrl
string
contactPlannedGiftsUrl
string
contactRecurringGiftsUrl
string
contactImportantNotesUrl
string
contactNotesUrl
string
contactTagsUrl
string
contactRelationshipsUrl
string
primaryAvatarUrl
string
contactReferences
object[]
originSegmentId
string
originSegment
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
tags
string[]
organizationGroups
string[]
customFields
object[]
customCollections
object[]
Last modified on June 5, 2026